c =======================================================
      program demo1
C     ----------------------------------------------------------------
C     ----------------------------------------------------------------
      implicit double precision (a-h,o-z)
      integer iA1,iZ1,iname1
      integer iA2,iZ2,iname2
      
      dimension fa(-6:6), fp(-6:6), ratio(-6:6)

      data x,Q  /0.1d0, 10.0d0/
      character file1*132, file2*132,  dir*40
      character name1*40, name2*40
 
      data dir /'./Grids/'/  !*** DIRECTORY OF PDS FILES
c ------------------------------------------------------
      CALL TRMSTR(DIR,IDIR)  !*** find length of directory name

1     continue
      write(6,*) 'enter x,Q'
      read (5,*) x,q
      
c --- File 1      
      write(6,*) 'enter 1st file name e.g. nCTEQ15_e00_56.pds'
      read (5,*) name1
      CALL TRMSTR(name1,iname1)  !*** find length of directory name
      
      file1 = dir(1:IDIR)//name1(1:iname1)
      
      write(6,*) 'enter A1,Z1'
      read (5,*) iA1,iZ1

c --- File 2
      write(6,*) 'enter 2nd file name e.g. nCTEQ15_e00_1.pds'
      read (5,*) name2
      CALL TRMSTR(name2,iname2)  !*** find length of directory name
      
      file2 = dir(1:IDIR)//name2(1:iname2)
      
      write(6,*) 'enter A2,Z2'
      read (5,*) iA2,iZ2
      
c --- Setting up both files (the order matters!)
      
      call set2NPDF(file1,file2,ierr)

c --- loop over partons
      do iptn=-5,5

c --- first argument of Ctq2Npdf refers to the first or second file in set2NPDF i.e. file1 or file2
       fa(iptn)= Ctq2Npdf(1,iptn,x,q,iA1,iZ1)
       fp(iptn)= Ctq2Npdf(2,iptn,x,q,iA2,iZ2)
       
       ratio(iptn) = fa(iptn)/fp(iptn)
      enddo         
      
      write(6,*) ' --------------------------------------'
      write(6,*) ' x,Q = ',x,Q
      write(6,*) ' --------------------------------------'
      
      
      write(6,*) '(A1,Z1)/(A2,Z2)    Ratio:(Dbar,Ubar,G,U,D,S,C,B)'
      print*, '(',ia1,',',iz1,')/(',ia2,',',iz2,')',' Ratios =',(ratio(i),i=-2,5,1)

c ------------------------------------------------------
999    end
c =======================================================
